curl --request GET \
--url 'https://api.scanova.io/forms/template/' \
--header 'Authorization: YOUR_API_KEY'
[
{
"id": 4,
"name": "Event RSVP",
"slug": "event-rsvp",
"description": "Collect attendee names, emails, and headcount for an event.",
"blocks_json": {
"fields": [
{ "type": "text", "label": "Full name", "required": true },
{ "type": "email", "label": "Email", "required": true },
{ "type": "number", "label": "Number of guests", "required": false }
]
},
"order": 1
}
]
潜在客户与表单
列出表单模板
GET /forms/template/
GET
/
forms
/
template
/
curl --request GET \
--url 'https://api.scanova.io/forms/template/' \
--header 'Authorization: YOUR_API_KEY'
[
{
"id": 4,
"name": "Event RSVP",
"slug": "event-rsvp",
"description": "Collect attendee names, emails, and headcount for an event.",
"blocks_json": {
"fields": [
{ "type": "text", "label": "Full name", "required": true },
{ "type": "email", "label": "Email", "required": true },
{ "type": "number", "label": "Number of guests", "required": false }
]
},
"order": 1
}
]
列出平台内置的表单模板 —— 可在创建表单时直接作为
响应是一个扁平数组,不分页,仅包含活跃模板,按
data 传递的起始字段架构。
仅需要账户身份验证 —— 此端点不应用
MANAGEMENT_API 配额检查。curl --request GET \
--url 'https://api.scanova.io/forms/template/' \
--header 'Authorization: YOUR_API_KEY'
[
{
"id": 4,
"name": "Event RSVP",
"slug": "event-rsvp",
"description": "Collect attendee names, emails, and headcount for an event.",
"blocks_json": {
"fields": [
{ "type": "text", "label": "Full name", "required": true },
{ "type": "email", "label": "Email", "required": true },
{ "type": "number", "label": "Number of guests", "required": false }
]
},
"order": 1
}
]
order 再按 name 排序。blocks_json 使用与表单自身 data 字段完全相同的形状 —— 可直接传递给创建表单的 data 请求体参数以从模板开始。
相关内容
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200
List of form templates.
此页面对您有帮助吗?